Subject: bug#40899: Locales not set up correctly

From: Matthew Kraai <[email-masked]>
Date: Tue, 28 Apr 2020 03:59:51 -0700

On Tue, Apr 28, 2020 at 11:15:58AM +0200, zimoun wrote:
> Is 'admin' the regular user or another name for the 'root' account?
> 
> On the Debian foreign distro, for GUIX_LOCPATH, I have:
> 
>  - root account: /root/.guix-profile/lib/local
>  - regular user: /home/kikoo/.guix-profile/lib/locale

'admin' is the regular user.

I think the problem is that LANG is set to 'C.UTF-8' by default.  If I
change the contents of /etc/default/locale from

LANG=C.UTF-8

to

LANG=en_US.UTF-8

I no longer see the error installing nss-certs.

-- 
Matthew Kraai